<h1 class="title">Настройка АТС-коннектора «Простые звонки – NEOPbx»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>АТС-коннектор «Простых звонков» должен быть установлен на вашу АТС NEOPbx.</p>

<p class="attention">Внимание! Для правильной работы функций «Всплывающая карточка» и «Умная переадресация» АТС
NEOPbx должна правильно определять номера на внешних линиях.</p>

<h2>2. Проверьте перед настройкой</h2>
<hr>

<p>Перед настройкой АТС-коннектора, пожалуйста, проверьте: <br>
- У вас есть доступ к NEOPbx с правами администратора</p>

<h2>3. Настройка NEOPbx</h2>
<hr>

<p>Для правильной работы NEOPbx с «Простыми звонками» выполните следующие действия:</p>

<p>1. Проверьте настройки внутренних номеров (<strong>АТС – Настройки АТС – Внутренние номера</strong>). Если
задано значение поля <strong>Исходящий CID</strong>, то оно должно быть задано в следующем формате <strong>“имя
абонента” <номер></strong>.</p>

<p class="attention">Внимание! На протяжении всей обработки звонка необходимо сохранять корректные значения полей
источника и назначения звонка, т.е. нельзя изменять добавочные в процессе обработки звонка –
например, на название\номер линии)</p>

<h2>4. Настройка АТС-коннектора</h2>
<hr>

<p>Для настройки АТС-коннектора откройте страницу <strong>Система -> Дополнения NEOPbx -> «Простые
звонки»</strong>.</p>

<p><strong>Общая настройка АТС-коннектора</strong></p>

<p>1. Для защиты от подключения сторонних клиентов к АТС-коннектору вы можете задать <strong>Пароль</strong>. Этот
же пароль будет необходимо ввести в настройках CRM-клиентов.</p>

<p>2. Задайте параметр <strong>Порт</strong>. К этому TCP порту будут подключаться CRM-клиенты.</p>

<p>3. Задайте лицензионный ключ «Простых звонков» в поле <strong>Лицензия</strong>.</p>

<p class="attention">Внимание! Если вы не получили или не знаете Ваш лицензионный ключ, пожалуйста обратитесь в
<a target="_blank" href="http://prostiezvonki.ru/support">службу технической поддержки Ведисофт.</a></p>

<p class="attention">Внимание! Для проверки лицензионного ключа АТС-коннектор связывается с портом 443 сервера
лицензий, который размещен в Интернет. Пожалуйста, проверьте настройки вашего файрвола, чтобы
разрешить доступ АТС-коннектора к серверу лицензий.</p>

<p>4. При необходимости, измените уровень записи лога в параметре <strong>Уровень записи лога.</strong></p>

<p>5. Если соединение между АТС-коннектором NEOPbx и модулем CRM (базы клиентов) прерывается, то
история звонков накапливается в специальной очереди. При подключении модуля CRM история звонков
автоматически загружается из этой очереди.</p>

<p>Для сохранения истории звонков за 1 день (при отсутствии подключения модуля CRM!) установите
значение параметра <strong>Размер очереди событий</strong> таким образом, чтобы оно было в 2 раза больше
среднего числа звонков за день.</p>

<p><strong>Настройка вызовов</strong></p>

<p>1. Если вам нужно добавлять префикс к номерам телефонов при входящих звонках, вы можете задать
его в параметре <strong>Префикс для входящих.</strong></p>

<p>2. Если вам нужно добавлять префикс к номерам телефонов при исходящих звонках (при использовании
функции «Звонок по клику»), вы можете задать его в параметре <strong>Префикс при исходящих.</strong></p>

<p>3. Задайте количество цифр в номерах внутренних абонентов <strong>Длина внутренних номеров.</strong></p>

<p class="attention">Внимание! АТС-коннектор игнорирует звонки между внутренними абонентами АТС, такие звонки не
попадают в CRM. Абонент с номером телефона длинной менее указанной в параметре <strong>Длина
внутренних номеров</strong> считается внутренним абонентом АТС.</p>

<p>4. Если вы используете Не <strong>SIP</strong> телефоны, а телефоны которые общаются по другому протоколу
(например <strong>IAX2</strong>), то измените тип канала в параметре <strong>Тип канала</strong> на соответствующий.</p>

<p><strong>Настройка записи телефонных разговоров</strong></p>

<p>АТС-коннектор использует систему записи разговоров NEOPbx.</p>

<p>1. Замените «localhost» на адрес вашей NEOPbx в параметре <strong>Внешняя директория.</strong> Например:
https://neopbx/records/ или https://192.168.1.100.</p>

<p>2. Включите запись на необходимых внутренних номерах в разделе <strong>АТС – Настройка АТС –
Внутренние номера:</strong></p>
<p><img src="images/neopbx/nastroyka_neopbx_record.jpg" alt="настройка записи"></p>

<p><strong>Настройка умной переадресации</strong></p>

<p>Умная переадресация – перехват клиентских звонков и их автоматическое перенаправление на
телефоны ответственных сотрудников. Для включения переадресации выполните следующие действия:</p>

<p>1. В NEOPbx зайдите на страницу <strong>АТС – Настройка АТС – Входящие маршруты</strong> и выберите
входящий маршрут, для которого будет использоваться умная переадресация.</p>

<p>2. Для включения умной переадресации поставьте галочку напротив параметра
<strong>Умная переадресация.</strong></p>

<p>3. Зайдите на страницу настройки АТС-коннектора «Простых звонков».</p>

<p>4. Установите таймаут (в секундах) для поиска номера ответственного сотрудника в параметре
<strong>Таймаут поиска.</strong> Если АТС-коннектор не получит модуля CRM (базы клиентов) номер ответственного
сотрудника за данный промежуток времени, то дальнейшая обработка вызова перейдет к АТС NEOPbx.</p>

<p>5. Установите таймаут (в секундах) для ответа сотрудника на переадресованный звонок в параметре
<strong>Таймаут ответа.</strong> Если сотрудник не ответит за данный промежуток времени, то дальнейшая обработка
вызова перейдет к АТС NEOPbx.</p>

<h2>5. Настройка защищенного SSL соединения</h2>
<hr>

<p>шаблон templates\ssl_settings.html</p>

<h2>6. Завершение настройки</h2>
<hr>

<p>Для завершения настройки нажмите кнопку «Сохранить настройки».</p>

<p>шаблон tamplates\connect_crm_to_pbx_connector.html</p>

<h2>7. Проверка работоспособности АТС-коннектора</h2>

<p>1. Установите уровень лога АТС-коннектора в отладочный.</p>

<p>Если у вас чистый Asterisk: задайте в файле <strong>/etc/asterisk/cel_prostiezvonki.conf</strong> значение параметра
<strong>log_level</strong> в <strong>debug.</strong></p>

<p>Если у вас FreePBX: на странице настроек Application->Prostie Zvonki задайте параметр <strong>"Уровень
записи лога"</strong> в значение <strong>debug.</strong></p>

<p>2. Перезапустите Asterisk или FreePBX.</p>

<p>3. В папке <strong>/var/log/asterisk/</strong> найдите и откройте самый свежий файл с названием <strong>cel_prostiezvonki_***.log</strong></p>

<p>4. При запуске Asterisk модуля «Простые звонки» в лог файл выводится информацию о лицензии.</p>

<p>Пример:</p>
<p class="log">set license status to 1 <br>
set max clients(1c_8.3) to 50</p>

<p>В этом примере АТС-коннектор успешно получил от сервера лицензирования информацию о том, что к
нему могут одновременно подключиться не более 50 пользователей 1С 8.3.</p>

<p>Если в лог файле вы не видите похожее сообщение, обратитесь к пункту <a href="">8.2. АТС-коннектор не получает
информацию от сервера лицензий</a></p>

<p>5. После того как вы настроите модуль «Простые звонки» в своей CRM системе, в лог файле появятся
сообщения, которые говорят о подключении CRM модулей:</p>

<p class="log">New client connected: GUID c5cb767d-0021-4847-b9a4-2930d4be55f2, ClientType Excel, PhoneNumber 100,
BroadcastGroup , BroadcastEventsMask 4, EventsMode , EventsMask , ProtocolVersion 1</p>

<p>Данная строка говорит о том, что к АТС-коннектору подключился пользователь CRM (в данном случае
это «Простые звонки – Excel») с внутренним номером 100.</p>

<p>Если при попытке подключения пользователя CRM в лог файле вы видите такое сообщение: </p>

<p class="log">No valid license for Excel type <br>
Authorization error: server license expired!</p>

<p>обратитесь к пункту <a href="">8.3. АТС-коннектор блокирует подключение пользователя CRM системы.</a></p>

<p>6. При входящем звонке в лог файле появляется подобное сообщение:</p>

<p class="log">OnTransferedIncomingCall event: callID = 1111111111111, source = 89123456789, destination = 100, line = from-trunk <br>
PBX event was pushed to 1 clients</p>

<p>Первая строка сообщения говорит о том, что АТС-коннектор отправил уведомление о входящем звонке
пользователю CRM с внутренним номером «100». Вторая строка говорит о том, что на момент отправки
уведомления CRM пользователь с номером «100» был подключен к АТС-коннектору. Если у пользователя
открыта CRM система, в которой правильно настроен модуль «Простые звонки», то в CRM системе
пользователь увидит уведомление о входящем звонке с номера «89123456789».</p>

<p>Если при входящем звонке в лог файле вы не видите подобных сообщений, обратитесь к пункту <a href="">8.4. В
CRM системе не отображаются уведомления о входящем звонке</a>, не сохраняется информация о
завершившихся звонках</p>

<p>7. При ответе пользователя на входящий звонок в лог файле должно появиться подобное сообщение:</p>

<p class="log">onTransferredAnswer event: callID = 1111111111111, source = 89123456789, destination = 100, line = fromtrunk <br>
PBX event was pushed to 1 clients</p>

<p>Сообщение говорят о том, что CRM пользователь с номером «100» ответил на входящий звонок.</p>

<p>8. При завершении входящего звонка в лог файле появится подобное сообщение:</p>

<p class="log">OnCallFinished event: callID = 1111111111111, source = 89123456789, destination = 100, start = 1458205200, end = 1458205278, duration = 78, direction = 0, record = http://atsoffice/record.wav, line = from-trunk <br>
PBX event was pushed to 1 clients</p>

<p>Сообщение говорит о том, что CRM пользователю c номером «100» отправлено событие о завершении
входящего звонка с номера «89123456789», а так же ссылка на аудиозапись этого звонка
http://atsoffice/record.wav</p>

<p>Обратите внимание, что ссылка на аудиозапись должна «открываться» в браузере на компьютере
пользователя.</p>

<p>Если при завершении звонка в лог файле вы не видите подобных сообщений, обратитесь к пункту <a href=""></a>8.4. В
CRM системе не отображаются уведомления о входящем звонке</a>, не сохраняется информация о
завершившихся звонках</p>

<p>9. При совершении звонка из CRM системы (пользователь щелкнул по номеру телефона) в лог файле
появится подобное сообщение:</p>

<p class="log">Call event from CRM: src = 100, dst = 89123456789</p>

<p>Это сообщение говорит о том, что пользователь с номером «100» совершает исходящий звонок на номер
«89123456789».</p>

<p>Если при совершении исходящего звонка из CRM системы в лог файле не появляется подобное
сообщение, обратитесь к пункту <a href="">8.5. Исходящий звонок не происходит после щелчка по номеру
телефона в CRM системе</a></p>

<p>10. При начале исходящего звонка в лог файле появится подобное сообщение:</p>

<p class="log">onOutcomingCall event: callID = 2222222222222, source = 100, destination = 89123456789 <br>
PBX event was pushed to 1 clients</p>

<p>Это сообщение говорит о том, что АТС выполняет набор номера «89123456789» для пользователя с
внутренним номером «100».</p>

<p>Обратите внимание, что не все CRM системы обрабатывают это сообщение. Если в руководстве
пользователя CRM модуля «Простые звонки» описана эта возможность и она не работает, обратитесь к
пункту <a href="">8.4. В CRM системе не отображаются уведомления о входящем звонке, не сохраняется
информация о завершившихся звонках</a></p>

<p>11. При ответе удаленного абонента на исходящий звонок в лог файле появится подобное сообщение:</p>

<p class="log">onOutcomingAnswer event: callID = 2222222222222, source = 100, destination = 789123456789 <br>
PBX event was pushed to 1 clients</p>

<p>Это сообщение говорит о том, что удаленный абонент, которому пользователь с внутренним номером
«100» звонил на номер «789123456789», ответил на исходящий звонок.</p>

<p>12. При завершении звонка в лог файле появится подобное сообщение:</p>

<p>OnCallFinished event: callID = 2222222222222, source = 100, destination = 89123456789, start = 1457935441, end = 1457935921, duration = 480, direction = 1, record = http://atsoffice/record.wav line = <br>
PBX event was pushed to 1 clients</p>

<p>Сообщение говорит о том, что CRM пользователю c внутренним номером «100» отправлено событие о
завершении исходящего звонка на номер «89123456789», а так же ссылка на аудиозапись этого звонка
http://atsoffice/record.wav</p>

<p>Обратите внимание, что ссылка на аудиозапись должна «открываться» в браузере на компьютере пользователя.</p>

<p>Если при завершении звонка в лог файле вы не видите подобных сообщений, обратитесь к пункту <a href="">8.4. В
CRM системе не отображаются уведомления о входящем звонке, не сохраняется информация о
завершившихся звонках</a></p>

<h2>8. Возможные проблемы и пути их решения</h2>
<hr>

<h3>8.1. Asterisk не загружает модуль. Модуль не появляется в списке загруженных модулей.</h3>

<p><u>Признаки проблемы</u> <br>
В логах Asterisk появляются строки:</p>

<p class="log">WARNING[24526] loader.c: Error loading module 'cel_prostiezvonki.so': <br>
/usr/lib64/asterisk/modules/cel_prostiezvonki.so: undefined symbol: ast_format_set <br>
WARNING[24526] loader.c: Module 'cel_prostiezvonki.so' could not be loaded.</p>

<p><u>Причина</u> <br>
Версия модуля «Простые звонки» не соответствует версии Asterisk. Например, модуль «Простые звонки»
для Asterisk 1.8 установлен в Asterisk 11.</p>

<p><u>Решение</u> <br>
Обратитесь в <a target="_blank" href="http://prostiezvonki.ru/support">службу технической поддержки</a>, чтобы получить ссылки на скачивание модуля для нужной
вам версии Asterisk.</p>

<h3>8.2. АТС-коннектор не получает информацию от сервера лицензий или получает ее
некорректно.</h3>

<p><u>Признаки проблемы</u> <br>
В логах АТС-коннектора появляются строки:</p>

<p class="log">set license status to 0 <br>
License server successfully set license status</p>

<p>или</p>

<p class="log">Authorization error: server license expired!</p>

<p><u>Причина 1</u><br>
1. Версия АТС-коннектора «Простые звонки» не соответствует версии Asterisk. Например, модуль
«Простые звонки» для Asterisk 1.8 установлен в Asterisk 11.</p>

<p><u>Решение 1</u><br>
Если версия АТС-коннектора не соответстввет версии Asterisk. Обратитесь в службу технической
поддержки, чтобы получить ссылки на скачивание модуля для нужной вам версии Asterisk.</p>

<p><u>Причина 2</u><br>
АТС-коннектор не может получить доступ в сеть Интернет для проверки лицензии.</p>

<p><u>Решение 2</u><br>
Для проверки лицензионного ключа АТС-коннектор связывается (по протоколу HTTPS) с портом 443
сервера лицензий, который размещен в Интернет. Пожалуйста, проверьте настройки своего файрвола,
чтобы разрешить доступ АТС-коннектора к серверу лицензий.</p>

<p><u>Причина 3</u><br>
В конфигурационном файле АТС-коннектора (или в окне настроек АТС-коннектора для FreePBX)
лицензионный ключ указан неверно.</p>

<p><u>Решение 3</u><br>
Задайте правильный лицензионный ключ из email сообщения с демо-версией.</p>

<p><u>Причина 4</u><br>
Время действия демо-версии или ограниченной по времени лицензии истекло.</p>

<p><u>Решение 4</u><br>
Если вы не успели протестировать продукт, отправьте запрос на продление демо-версии в <a href="http://prostiezvonki.ru/support">службу
технической поддержки</a> (обязательно укажите лицензионный ключ в тексте письма) или обратитесь в
отдел продаж для покупки лицензии.</p>

<h3>8.3. АТС-коннектор блокирует подключение пользователя CRM системы</h3>

<p><u>Признаки проблемы</u><br>
При попытке подключения пользователя CRM в лог файле появляются подобные сообщения:</p>

<p class="log">No valid license for Excel type <br>
Authorization error: server license expired!</p>

<p><u>Причина</u><br>
Вы пытаетесь подключиться из CRM, лицензия на интеграцию с которой отсутствует.</p>

<p><u>Например:</u><br>
	<ul>
		<li>Демо-версия для 1С 8.2, а к АТС-коннектору подключается пользователь 1С 8.3</li>
		<li>Демо-версия для облачной версии Битрикс24, а пытаетесь подключиться из коробочной версии
Битрикс24</li>
		<li>Демо-версия для amoCRM, а к подключается пользователь из Битрикс24</li>
	</ul>
 </p>

<p><u>Решение</u><br>
Подключайтесь к АТС-коннектору пользователями тех CRM, для которых вы заказывали демо-версию
или приобретали лицензии.</p>

<p>Если вы хотите попробовать интеграцию с другой CRM, отправьте запрос в <a target="_blank" href="http://prostiezvonki.ru/support">службу технической
поддержки</a> (обязательно укажите лицензионный ключ в тексте письма). Мы добавим в ваш
лицензионный ключ возможность тестирования другой CRM системы.</p>

<h3>8.4. В CRM системе не отображаются уведомления о входящем звонке, не сохраняется
информация о завершившихся звонках</h3>

<p><u>Признаки проблемы 1</u><br>
В лог файле нет подобных сообщений о входящем или завершенном звонке:</p>

<p class="log">OnTransferedIncomingCall event: callID = 1111111111111, source = 89123456789, destination = 100, line =
from-trunk</p>

<p><u>Причина 1</u><br>
Не настроен файл cel.conf</p>

<p><u>Решение 1</u><br>
в архиве с АТС-коннектором есть пример файла cel.conf. Убедитесь, что используемый вашим Asterisk
cel.conf соответствует файлу из архива. Обратите внимание, что после изменения содержимого файла
cel.conf необходимо полностью перезапустить Asterisk.</p>

<p><u>Признаки проблемы 2</u><br>
В лог файле после сообщения о входящем или завершенном звонке есть строчка «PBX event was pushed
to 0 clients»:</p>

<p class="log">OnTransferedIncomingCall event: callID = 1111111111111, source = 89123456789, destination = 100, line = from-trunk <br>
PBX event was pushed to 0 clients</p>

<p><u>Причина 2</u><br>
Пользователь CRM с таким внутренним номером не подключен к АТС-коннектору.</p>

<p><u>Решение 2</u><br>
1. Проверьте настройки модуля «Простые звонки» в CRM системе. Модуль должен быть правильно
настроен и подключен к АТС-коннектору.
2. Проверьте настройки рабочего места пользователя. На время установки, настройки и тестирования мы
рекомендуем отключить программу файрвол и антивирус, а также плагины для браузера Google Chrome,
которые блокируют загрузку содержимого страницы из внешних ресурсов и всплывающие окна (AdBlock
и т.п.).</p>

<h3>8.5. Исходящий звонок не происходит после щелчка по номеру телефона в CRM системе </h3>

<p><u>Причина 1</u><br>
У пользователя не настроен аппаратный или программный телефон, подключенный к АТС.</p>

<p><u>Решение 1</u><br>
«Простые звонки» не заменяют аппаратный или программный телефон, подключеный к АТС. Поэтому у
пользователя должен быть настроен телефон или софтфон, с помощью которого он может совершать и
принимать звонки через АТС без участия «Простых звонков».</p>

<p><u>Причина 2</u><br>
Внутренний номер, настроенный в аппаратном телефоне или софтфоне, не соответствует внутреннему
номеру пользователя, указанному в CRM модуле «Простые звонки».</p>

<p><u>Решение 2</u><br>
В CRM модуле «Простые звонки» укажите для пользователя тот внутренний номер, который настроен в
аппаратном телефоне или софтфоне этого пользователя.</p>

<p><u>Причина 3</u><br>
После совершения звонка из CRM, на телефон или софтфон пользователя поступает входящий звонок,
на который нужно ответить. Пользователь не отвечает на этот входящий звонок.</p>

<p><u>Решение 3</u><br>
Пользователь должен ответить на входящий звонок. После этого АТС наберет номер, по которому
пользователь щелкал в CRM системе.</p>

<h3>8.6. Не работает умный перевод на ответственного сотрудника</h3>

<p><u>Признаки проблемы</u><br>
В CRM модуле «Простые звонки» есть функция «Умный перевод» и она включена согласно руководству
по установке и настройке соответствующего CRM модуля.</p>

<p>Наличие функции «Умный перевод» в используемом вами CRM модуле вы можете проверить в таблице:
<a target="_blank" href="http://prostiezvonki.ru/supportedsystems#matrix">http://prostiezvonki.ru/supportedsystems#matrix</a></p>

<p><u>Причина</u><br>
Нет вызова макроса «prostie-zvonki» в dial-плане Asterisk.</p>

<p><u>Решение</u><br>
В файле cel_prostiezvonki.conf нужно проверить параметр smart_transfer, если он включен (знач. "on"), то
должен быть прописан вызов макроса Macro(prostie-zvonki) в Dialplan'e входящих звонков.
Иначе, если умная переадресация не нужна, и соотв. вызова макроса нет, тогда нужно поставить
значение параметра smart_transfer в "off"</p>

<h3>9. Не нашли решение своей проблемы?</h3>

<p>1. Установите уровень лога АТС-коннектора в отладочный.</p>

<p>Если у вас чистый Asterisk: задайте в файле /etc/asterisk/cel_prostiezvonki.conf значение параметра
<strong>log_level</strong> в <strong>debug</strong>.</p>

<p>Если у вас FreePBX: на странице настроек Application->Prostie Zvonki задайте параметр <strong>"Уровень
записи лога"</strong> в значение <strong>debug</strong>.</p>

<p>2. Перезапустите Asterisk или FreePBX.</p>

<p>3. В папке /var/log/asterisk/ найдите файлы с названиями cel_prostiezvonki_***.log. Отправьте их
вложением по email в <a href="http://prostiezvonki.ru/support">службу технической поддержки</a>.</p>
